LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
EndDockingEvent Struct Reference

specifies an end docking event. More...

`import"EndDockingEvent.idl";`

Inheritance diagram for EndDockingEvent:

## Public Attributes
com::sun::star::awt::Rectangle | WindowRectangle
| specifies the new bounding rectangle of the window More...
boolean | bFloating
| specifies if the window is now floating `TRUE` or docked `FALSE` More...
boolean | bCancelled
| specifies that the docking procedure was canceled More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies an end docking event.

## Member Data Documentation

boolean bCancelled

specifies that the docking procedure was canceled

boolean bFloating

specifies if the window is now floating `TRUE` or docked `FALSE`

com::sun::star::awt::Rectangle WindowRectangle

specifies the new bounding rectangle of the window

The documentation for this struct was generated from the following file:

- com/sun/star/awt/EndDockingEvent.idl